> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove permissions for an Entity

> Remove permission from an Entity



## OpenAPI

````yaml delete /v1/entities/{entityId}/permissions/principals/{principalId}
openapi: 3.0.4
info:
  title: DER Connect Principal API
  description: Provides endpoints to manage the platform.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/entities/{entityId}/permissions/principals/{principalId}:
    delete:
      tags:
        - Entities
      summary: Remove permission from an Entity
      description: Remove permission from an Entity
      operationId: RemovePermissionFromEntityEndpoint
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 5a554157-5a5a-4547-384c-423033333139
        - name: principalId
          in: path
          description: The id of the Principal
          required: true
          schema:
            type: string
            format: uuid
        - name: permissionLevel
          in: query
          description: Optional, the specific permission level to remove
          schema:
            $ref: >-
              #/components/schemas/Connect.Service.Principal.App.Models.V1.PermissionLevel
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Principal.App.Models.V1.PermissionLevel:
      enum:
        - Viewer
        - Contributor
        - Administer
        - Owner
      type: string
      description: The available Permission Levels.
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````